#!/usr/bin/env python
# -*- coding: utf-8 -*-
###########################################################################
# Program extract URL's from .arc files
#
# Copyright (C) 2010  Bartek thindil Jasicki
#
# This file is part of GrubNG.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
###########################################################################

import os, gzip

directory = '.'
entries = os.listdir(directory)
for entry in entries:
    if os.path.isfile(entry):
        if entry[-6:] == "arc.gz":
            #decompress file
            fin = gzip.open(entry, "rb")
            fout = open(entry[0:-3], "wb")
            fout.writelines(fin)
            fout.close()
            fin.close()
            #extract URL's from arc.file
            fin = open(entry[0:-3], "rb")
            fout = open("urls2.txt", "ab")
            fin.seek(129, 0)
            line = fin.readline()
            while len(line) > 0:
                arrline = line.split()
                fout.write(arrline[0][7:]+"\n")
                fin.seek(int(arrline[4]), 1)
                line = fin.readline()
                while len(line) == 1:
                    line = fin.readline()
            fin.close()
            fout.close()
            os.remove(entry[0:-3])
            os.remove(entry)
            

